Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.dataxslt
Class MetaBlock

    java.lang.Object
      dom.DOMSubDocument
          com.knowgate.dataxslt.MetaBlock

    public class MetaBlock

extends dom.DOMSubDocument

Microsite MetaBlock.

This class represents a <metablock></metablock> section of a Microsite XML definition file. The XML file is first parsed into a DOMDocument and then DOMDocument nodes are wrapped with classes that add specific Microsite behavior.

Field Summary

Fields inherited from class dom.DOMSubDocument
`oNode`

Constructor Summary
`MetaBlock(org.w3c.dom.Node oRefNode)`

Method Summary
`boolean` | `allowHTML()`
`java.lang.String` | `id()`
`int` | `maxoccurs()` Get metablock <maxoccurs> node
`java.lang.String` | `name()`
`java.lang.String[]` | `objects()` Split <objects> node by commas and return resulting array
`java.lang.String` | `template()`
`java.lang.String` | `thumbnail()`

Methods inherited from class dom.DOMSubDocument
`getElement, getElements, getNode, getNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaBlock

    public MetaBlock(org.w3c.dom.Node oRefNode)

Parameters:
  `oRefNode` - DOMDocument Node holding <metablock> element.

Method Detail

### allowHTML

    public boolean allowHTML()

### id

    public java.lang.String id()

### maxoccurs

    public int maxoccurs()
                  throws java.lang.NumberFormatException

  Get metablock <maxoccurs> node

  Returns:
    If maxoccurs node is not found then function returns -1
  Throws:
    `java.lang.NumberFormatException` - If maxoccurs value is not a valid integer

### name

    public java.lang.String name()

### template

    public java.lang.String template()

### thumbnail

    public java.lang.String thumbnail()

### objects

    public java.lang.String[] objects()

  Split <objects> node by commas and return resulting array

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD